function [ val ] = print_test3_2( filename )
%PRINT_TEST3_2 Output function of the script demo_test3_2_runtests.
%
% Copyright (c) 2015 Toni Volkmer
%
% This program is free software; you can redistribute it and/or modify it under
% the terms of the GNU General Public License as published by the Free Software
% Foundation; either version 2 of the License, or (at your option) any later
% version.
%
% This program is distributed in the hope that it will be useful, but WITHOUT
% ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
% FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
% details.
%
% You should have received a copy of the GNU General Public License along with
% this program; if not, write to the Free Software Foundation, Inc., 51
% Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

val = 0;

load(filename);

fprintf('\n');
fprintf('10-dimensional test function, algorithm = %s, #repetitions = %d\n', algorithm_name, nruns);
fprintf('threshold parameter in step 1/2a = %.3e, #detection iterations r = %d\n', threshold_theta_basic, niter_r);
fprintf('------------------------------------------------------------------------\n');
fprintf('    input              ||                     output\n');
fprintf(' N | threshold | #freq || max #freq |  max R1L  | max. total | max rel.\n');
fprintf('   |   theta   | used  ||  candid.  |  size M   |  #samples  | l2-error\n');

for iN=1:length(N_array)
  N = N_array(iN);
  threshold_theta = threshold_theta_array(iN);
  if (iN == 1) || (N_array(iN-1) ~= N)
    fprintf('------------------------------------------------------------------------\n');
  end
  nfreq_out_array = [results(iN,:).num_freq_out];
  if nruns ~= length(nfreq_out_array)
    continue;
  end
  err_l2_rel_array = [results(iN,:).err_l2_rel];
  freq_cand_sizes_matrix = reshape([results(iN,:).freq_cand_sizes],10, nruns)';
  lattice_sizes_matrix = reshape([results(iN,:).lattice_sizes],10, nruns)';
  sample_sizes_matrix = reshape([results(iN,:).sample_sizes],10, nruns)';
  nsamples_array = sum(sample_sizes_matrix,2);
  fprintf('%2d | %.3e | %5d || %9d | %9d | %10d | %.3e\n', N, threshold_theta, max(nfreq_out_array), max(max(freq_cand_sizes_matrix)), max(max(lattice_sizes_matrix)), max(nsamples_array), max(err_l2_rel_array));
end
fprintf('------------------------------------------------------------------------\n');

end

