function [ val ] = print_test4snr( filename )
%PRINT_TEST4SNR_LATEX Summary of this function goes here
%   Output function of the script demo_test4snr_runtests.
%
% Copyright (c) 2015 Toni Volkmer
%
% This program is free software; you can redistribute it and/or modify it under
% the terms of the GNU General Public License as published by the Free Software
% Foundation; either version 2 of the License, or (at your option) any later
% version.
%
% This program is distributed in the hope that it will be useful, but WITHOUT
% ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
% FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
% details.
%
% You should have received a copy of the GNU General Public License along with
% this program; if not, write to the Free Software Foundation, Inc., 51
% Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

val = 0;

load(filename);

%results = repmat(struct(), length(N_array), length(d_array), length(k_array), length(SNR_array), nruns);

fprintf('algorithm = %s, number of repetitions for each test setting = %d\n', algorithm_name, nruns);
fprintf('signal sparsity = %d, algorithm sparsity parameter = %d\n', signal_sparsity_k, sparsity_s);
fprintf('-------------------------------------------------------------------------------\n');
fprintf(' N |  d | #freq | r | SNR | noise || max. total | min #freq | success | rel. l2\n');
fprintf('   |    |       |   |  dB | sigma ||  #samples  |  correct  |  rate   |  error\n');

for iN=1:length(N_array)
  N = N_array(iN);
  fprintf('-------------------------------------------------------------------------------\n');
  for id=1:length(d_array)
    d = d_array(id);
    for inoise=1:length(SNR_array)
      nfreq_correct_array = [results(iN,id,inoise,:).num_intersect];
      if nruns ~= length(nfreq_correct_array)
        continue;
      end
      SNR = SNR_array(inoise);
      SNR_dB = 10 * log10(SNR);
      noise_sigma = results(iN,id,inoise,1).noise_sigma;
      nfreq_allcorrect = length(find(nfreq_correct_array==signal_sparsity_k));
      err_l2_rel_array = [results(iN,id,inoise,:).err_l2_rel];
      sample_sizes_matrix = reshape([results(iN,id,inoise,:).sample_sizes],10, nruns)';
      nsamples_array = sum(sample_sizes_matrix,2);
      fprintf('%2d | %2d | %5d | %d | %3.0f | %.0e || %10d | %9d |   %.3f | %.1e\n', N, d, signal_sparsity_k, niter_r, SNR_dB, noise_sigma, max(nsamples_array), min(nfreq_correct_array), nfreq_allcorrect / length(nfreq_correct_array), max(err_l2_rel_array));
    end
  end
end

fprintf('-------------------------------------------------------------------------------\n');

end

